﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace parkMonitor.viewModel {
	public class MainWinVM : INotifyPropertyChanged {
		GridLength _grdLenName = new GridLength(50, GridUnitType.Star);
		public GridLength grdLenName {
			get { return _grdLenName; }
			set { _grdLenName = value; FirePropertyChanged("grdLenName"); }
		}

		GridLength _grdLenValue = new GridLength(50, GridUnitType.Star);
		public GridLength grdLenValue {
			get { return _grdLenValue; }
			set { _grdLenValue = value; FirePropertyChanged("grdLenValue"); }
		}

		public virtual event PropertyChangedEventHandler PropertyChanged;
		public virtual void FirePropertyChanged(string propertyName) {
			PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
		}
	}
}
