﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace parkMonitor.viewModel {
	class ObjectTreeRootVM : INotifyPropertyChanged {

		string _Name = "";
		public string Name {
			get { return _Name; }
			set { _Name = value; FirePropertyChanged("Name"); }
		}

		List<ObjectVM> _lstData = new List<ObjectVM>();
		public List<ObjectVM> lstData {
			get { return _lstData; }
			set { _lstData = value; FirePropertyChanged("lstData"); }
		}

		public virtual event PropertyChangedEventHandler PropertyChanged;
		public virtual void FirePropertyChanged(string propertyName) {
			PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
		}
	}
}
