﻿using parkMonitor.viewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace parkMonitor {
	/// <summary>
	/// MainWindow.xaml 的交互逻辑
	/// </summary>
	public partial class MainWindow : Window {
		List<ObjectTreeRootVM> lstObjectTree = new List<ObjectTreeRootVM>();

		MainWinVM winVM = new MainWinVM();

		public MainWindow() {
			InitializeComponent();

			DataContext = winVM;

			//Image img = new Image();
			//img.Source = new ImageSource();

			//lstObjectTree.Add(new ObjectTreeRootVM() { lstData = new List<ObjectVM>() });
			//string[] title = new string[] { "光栅", "超声波", "号牌机", "机械抓手", "车辆物体", "其他物体"};
			lstObjectTree.Add(new ObjectTreeRootVM() { Name = "光栅", lstData = new List<ObjectVM>() {
				new ObjectVM() { Name = "光栅1", ShortInfo = "正常" }, new ObjectVM() { Name = "光栅2", ShortInfo = "正常" }
			}});
			lstObjectTree.Add(new ObjectTreeRootVM() {
				Name = "超声波", lstData = new List<ObjectVM>() {
				new ObjectVM() { Name = "超声波1", ShortInfo = "正常" }, new ObjectVM() { Name = "超声波2", ShortInfo = "正常" }
			}
			});
			lstObjectTree.Add(new ObjectTreeRootVM() {
				Name = "号牌机", lstData = new List<ObjectVM>() {
				new ObjectVM() { Name = "号牌机1", ShortInfo = "正常" }, new ObjectVM() { Name = "号牌机2", ShortInfo = "正常" }
			}
			});
			lstObjectTree.Add(new ObjectTreeRootVM() {
				Name = "机械抓手", lstData = new List<ObjectVM>() {
				new ObjectVM() { Name = "机械抓手1", ShortInfo = "正常" }, new ObjectVM() { Name = "机械抓手2", ShortInfo = "正常" }
			}
			});
			lstObjectTree.Add(new ObjectTreeRootVM() {
				Name = "车辆物体", lstData = new List<ObjectVM>() {
				new ObjectVM() { Name = "车辆1", ShortInfo = "正常" }, new ObjectVM() { Name = "车辆2", ShortInfo = "正常" }
			}
			});
			lstObjectTree.Add(new ObjectTreeRootVM() {
				Name = "其他物体", lstData = new List<ObjectVM>() {
				new ObjectVM() { Name = "其他物体1", ShortInfo = "正常" }, new ObjectVM() { Name = "其他物体2", ShortInfo = "正常" }
			}
			});

			//for(int i = 0; i < 5; ++i) {
			//	ObjectTreeRootVM tree = new ObjectTreeRootVM();
			//	tree.Name = "aa" + i;
			//	tree.lstData.Add(new ObjectVM() { Name = "aaa", ShortInfo = "111" });
			//	tree.lstData.Add(new ObjectVM() { Name = "bbb", ShortInfo = "222" });
			//	tree.lstData.Add(new ObjectVM() { Name = "ccc", ShortInfo = "333" });
			//	lstObjectTree.Add(tree);
			//}
			treeObjectInfo.ItemsSource = lstObjectTree;
		}
	}
}
